LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFilePickerNotifier Interface Referencepublished

Interface to be implemented in order to support listener management. More...

`import"XFilePickerNotifier.idl";`

Inheritance diagram for XFilePickerNotifier:

## Public Member Functions
void | addFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to register as XFilePickerListener. More...
void | removeFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to unregister as XFilePickerListener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented in order to support listener management.

## Member Function Documentation

## ◆ addFilePickerListener()

void addFilePickerListener | ( | [in] XFilePickerListener | xListener | ) |

Interface for clients to register as XFilePickerListener.

Parameters

  xListener | The XFilePickerListener interface of the listener that wants to receive events of type FilePickerEvent.

Invalid interfaces or NULL values will be ignored.

## ◆ removeFilePickerListener()

void removeFilePickerListener | ( | [in] XFilePickerListener | xListener | ) |

Interface for clients to unregister as XFilePickerListener.

Parameters

  xListener | The XFilePickerListener interface of the listener that wants to receive events of type FilePickerEvent.

Invalid interfaces or NULL values will be ignored.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilePickerNotifier.idl